Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCarbonRenderWindow Class Reference

`#include <vtkCarbonRenderWindow.h>`

Inheritance diagram for vtkCarbonRenderWindow:

[legend]
Collaboration diagram for vtkCarbonRenderWindow:

[legend]
List of all members.

## Detailed Description

Carbon OpenGL rendering window.

Date:
  2003/01/20 15:16:19

Revision:
  1.11

vtkCarbonRenderWindow is a concrete implementation of the abstract class vtkOpenGLRenderWindow. vtkCarbonRenderWindow interfaces to the OpenGL graphics library using the Carbon API on Mac OSX.

Created by:
  - Starreveld, Yves

CVS contributions (if > 5%):
  - Starreveld, Yves (94%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkCarbonRenderWindow.h)`
  - .`cxx` (`/Rendering/vtkCarbonRenderWindow.cxx)`

Definition at line 49 of file vtkCarbonRenderWindow.h.

## Public Types
typedef vtkOpenGLRenderWindow | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Start (void)
void | Frame (void)
virtual void | WindowConfigure (void)
virtual void | WindowInitialize (void)
virtual void | Initialize (void)
virtual void | SetFullScreen (int)
virtual void | WindowRemap (void)
virtual void | PrefFullScreen (void)
virtual void | SetSize (int, int)
virtual int * | GetSize ()
virtual void | SetPosition (int, int)
virtual int * | GetScreenSize ()
virtual int * | GetPosition ()
virtual void | SetWindowName (const char *)
void | SetWindowInfo (void *)
virtual void * | GetGenericDisplayId ()
virtual void * | GetGenericWindowId ()
virtual void * | GetGenericParentId ()
virtual AGLContext | GetContextId ()
virtual void * | GetGenericContext ()
virtual void | SetDisplayId (void *)
virtual void * | GetGenericDrawable ()
void | SetWindowInfo (char *)
void | SetParentInfo (char *)
virtual void | SetWindowId (WindowPtr)
void | SetContextId (void *)
void | SetDeviceContext (void *)
virtual void | SetMultiSamples (int)
virtual int | GetMultiSamples ()
virtual void | SetStereoCapableWindow (int capable)
void | MakeCurrent ()
void | SetForceMakeCurrent ()
virtual int | GetEventPending ()
void | Clean ()
int | GetDepthBufferSize ()
void | UpdateSizeAndPosition (int xPos, int yPos, int xSize, int ySize)
virtual WindowPtr | GetWindowId ()
void | SetWindowId (void *foo)
virtual void | SetParentId (WindowPtr)
void | SetParentId (void *foo)
virtual void | SetupPalette (void *hDC)
virtual void | SetupPixelFormat (void *hDC, void *dwFlags, int debug, int bpp=16, int zbpp=16)
void | HideCursor ()
void | ShowCursor ()
## Static Public Methods
vtkCarbonRenderWindow * | New ()
int | IsTypeOf (const char *type)
vtkCarbonRenderWindow * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCarbonRenderWindow ()
| ~vtkCarbonRenderWindow ()
void | CreateAWindow (int x, int y, int width, int height)
void | InitializeApplication ()
## Protected Attributes
int | ApplicationInitialized
Boolean | fAcceleratedMust
Boolean | draggable
GLint | aglAttributes [64]
SInt32 | VRAM
SInt32 | textureRAM
AGLPixelFormat | fmt
AGLContext | ContextId
AGLDrawable | DeviceContext
WindowPtr | WindowId
WindowPtr | ParentId
int | OwnWindow
int | ScreenSize [2]
int | ScreenMapped
int | ScreenWindowSize [2]
void * | ScreenDeviceContext
int | ScreenDoubleBuffer
void * | ScreenContextId
int | CursorHidden
int | ForceMakeCurrent

## Member Typedef Documentation

typedef vtkOpenGLRenderWindow vtkCarbonRenderWindow::Superclass

| Reimplemented from vtkOpenGLRenderWindow. Definition at line 53 of file vtkCarbonRenderWindow.h.

## Constructor & Destructor Documentation

vtkCarbonRenderWindow::vtkCarbonRenderWindow | ( |  | ) | `[protected]`

vtkCarbonRenderWindow::~vtkCarbonRenderWindow | ( |  | ) | `[protected]`

## Member Function Documentation

vtkCarbonRenderWindow* vtkCarbonRenderWindow::New | ( |  | ) | `[static]`

| Construct an instance of vtkRenderWindow with its screen size set to 300x300, borders turned on, positioned at (0,0), double buffering turned on. Reimplemented from vtkRenderWindow.

virtual const char* vtkCarbonRenderWindow::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkOpenGLRenderWindow.

int vtkCarbonRenderWindow::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOpenGLRenderWindow.

virtual int vtkCarbonRenderWindow::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOpenGLRenderWindow.

vtkCarbonRenderWindow* vtkCarbonRenderWindow::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkOpenGLRenderWindow.

void vtkCarbonRenderWindow::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkOpenGLRenderWindow.

void vtkCarbonRenderWindow::Start | ( | void |  | ) | `[virtual]`

| Begin the rendering process. Implements vtkRenderWindow.

void vtkCarbonRenderWindow::Frame | ( | void |  | ) | `[virtual]`

| End the rendering process and display the image. Implements vtkRenderWindow.

virtual void vtkCarbonRenderWindow::WindowConfigure | ( | void |  | ) | `[virtual]`

| Specify various window parameters.

virtual void vtkCarbonRenderWindow::WindowInitialize | ( | void |  | ) | `[virtual]`

| Initialize the window for rendering.

virtual void vtkCarbonRenderWindow::Initialize | ( | void |  | ) | `[virtual]`

| Initialize the rendering window.

virtual void vtkCarbonRenderWindow::SetFullScreen | ( | int |  | ) | `[virtual]`

| Change the window to fill the entire screen. Implements vtkRenderWindow.

virtual void vtkCarbonRenderWindow::WindowRemap | ( | void |  | ) | `[virtual]`

| Remap the window. Implements vtkRenderWindow.

virtual void vtkCarbonRenderWindow::PrefFullScreen | ( | void |  | ) | `[virtual]`

| Set the preferred window size to full screen.

virtual void vtkCarbonRenderWindow::SetSize | ( | int | ,
|  | int |
| ) | `[virtual]`

| Set the size of the window. Reimplemented from vtkWindow.

virtual int* vtkCarbonRenderWindow::GetSize | ( |  | ) | `[virtual]`

| Get the current size of the window. Reimplemented from vtkWindow.

virtual void vtkCarbonRenderWindow::SetPosition | ( | int | ,
|  | int |
| ) | `[virtual]`

| Set the position of the window. Reimplemented from vtkWindow.

virtual int* vtkCarbonRenderWindow::GetScreenSize | ( |  | ) | `[virtual]`

| Return the scrren size.

virtual int* vtkCarbonRenderWindow::GetPosition | ( |  | ) | `[virtual]`

| Get the position in screen coordinates of the window. Reimplemented from vtkWindow.

virtual void vtkCarbonRenderWindow::SetWindowName | ( | const char * |  | ) | `[virtual]`

| Set the name of the window. This appears at the top of the window normally. Reimplemented from vtkWindow.

void vtkCarbonRenderWindow::SetWindowInfo | ( | void * |  | ) |

| Set this RenderWindow's window id to a pre-existing window.

virtual void* vtkCarbonRenderWindow::GetGenericDisplayId | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 103 of file vtkCarbonRenderWindow.h.

virtual void* vtkCarbonRenderWindow::GetGenericWindowId | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 104 of file vtkCarbonRenderWindow.h.

virtual void* vtkCarbonRenderWindow::GetGenericParentId | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 105 of file vtkCarbonRenderWindow.h.

virtual AGLContext vtkCarbonRenderWindow::GetContextId | ( |  | ) | `[inline, virtual]`

| Definition at line 106 of file vtkCarbonRenderWindow.h.

virtual void* vtkCarbonRenderWindow::GetGenericContext | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 107 of file vtkCarbonRenderWindow.h.

virtual void vtkCarbonRenderWindow::SetDisplayId | ( | void * |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 108 of file vtkCarbonRenderWindow.h.

virtual void* vtkCarbonRenderWindow::GetGenericDrawable | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 110 of file vtkCarbonRenderWindow.h.

void vtkCarbonRenderWindow::SetWindowInfo | ( | char * |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 115 of file vtkCarbonRenderWindow.h.

void vtkCarbonRenderWindow::SetParentInfo | ( | char * |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 119 of file vtkCarbonRenderWindow.h.

virtual WindowPtr vtkCarbonRenderWindow::GetWindowId | ( |  | ) | `[virtual]`

| Get the window id.

void vtkCarbonRenderWindow::SetWindowId | ( | void * | foo | ) | `[inline, virtual]`

| Get the window id. Implements vtkRenderWindow. Definition at line 127 of file vtkCarbonRenderWindow.h. References vtkRenderWindow::SetWindowId().

virtual void vtkCarbonRenderWindow::SetParentId | ( | WindowPtr |  | ) | `[virtual]`

| Get the window id.

void vtkCarbonRenderWindow::SetParentId | ( | void * | foo | ) | `[inline, virtual]`

| Get the window id. Implements vtkRenderWindow. Definition at line 133 of file vtkCarbonRenderWindow.h. References vtkRenderWindow::SetParentId().

virtual void vtkCarbonRenderWindow::SetWindowId | ( | WindowPtr |  | ) | `[virtual]`

| Set the window id to a pre-existing window.

void vtkCarbonRenderWindow::SetContextId | ( | void * |  | ) |

void vtkCarbonRenderWindow::SetDeviceContext | ( | void * |  | ) |

virtual void vtkCarbonRenderWindow::SetMultiSamples | ( | int |  | ) | `[virtual]`

| Set / Get the number of multisamples to use for hardware antialiasing. Reimplemented from vtkOpenGLRenderWindow.

virtual int vtkCarbonRenderWindow::GetMultiSamples | ( |  | ) | `[virtual]`

| Set / Get the number of multisamples to use for hardware antialiasing. Reimplemented from vtkOpenGLRenderWindow.

virtual void vtkCarbonRenderWindow::SetStereoCapableWindow | ( | int | capable | ) | `[virtual]`

| Prescribe that the window be created in a stereo-capable mode. This method must be called before the window is realized. This method overrrides the superclass method since this class can actually check whether the window has been realized yet. Reimplemented from vtkRenderWindow.

void vtkCarbonRenderWindow::MakeCurrent | ( |  | ) | `[virtual]`

| Make this windows OpenGL context the current context. Implements vtkOpenGLRenderWindow.

void vtkCarbonRenderWindow::SetForceMakeCurrent | ( |  | ) | `[virtual]`

| If called, allow MakeCurrent() to skip cache-check when called. MakeCurrent() reverts to original behavior of cache-checking on the next render. Reimplemented from vtkRenderWindow.

virtual int vtkCarbonRenderWindow::GetEventPending | ( |  | ) | `[virtual]`

| Check to see if an event is pending for this window. This is a useful check to abort a long render. Implements vtkRenderWindow.

virtual void vtkCarbonRenderWindow::SetupPalette | ( | void * | hDC | ) | `[virtual]`

| Initialize OpenGL for this window.

virtual void vtkCarbonRenderWindow::SetupPixelFormat | ( | void * | hDC,
|  | void * | dwFlags,
|  | int | debug,
|  | int | bpp = 16,
|  | int | zbpp = 16
| ) | `[virtual]`

| Initialize OpenGL for this window.

void vtkCarbonRenderWindow::Clean | ( |  | ) |

| Clean up device contexts, rendering contexts, etc.

int vtkCarbonRenderWindow::GetDepthBufferSize | ( |  | ) | `[virtual]`

| Get the size of the depth buffer. Reimplemented from vtkOpenGLRenderWindow.

void vtkCarbonRenderWindow::HideCursor | ( |  | ) | `[virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Implements vtkRenderWindow.

void vtkCarbonRenderWindow::ShowCursor | ( |  | ) | `[virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Implements vtkRenderWindow.

void vtkCarbonRenderWindow::UpdateSizeAndPosition | ( | int | xPos,
|  | int | yPos,
|  | int | xSize,
|  | int | ySize
| ) |

void vtkCarbonRenderWindow::CreateAWindow | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) | `[protected]`

void vtkCarbonRenderWindow::InitializeApplication | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkCarbonRenderWindow::ApplicationInitialized`[protected]`

| Definition at line 198 of file vtkCarbonRenderWindow.h.

Boolean vtkCarbonRenderWindow::fAcceleratedMust`[protected]`

| Definition at line 199 of file vtkCarbonRenderWindow.h.

Boolean vtkCarbonRenderWindow::draggable`[protected]`

| Definition at line 200 of file vtkCarbonRenderWindow.h.

GLint vtkCarbonRenderWindow::aglAttributes[64]`[protected]`

| Definition at line 201 of file vtkCarbonRenderWindow.h.

SInt32 vtkCarbonRenderWindow::VRAM`[protected]`

| Definition at line 203 of file vtkCarbonRenderWindow.h.

SInt32 vtkCarbonRenderWindow::textureRAM`[protected]`

| Definition at line 205 of file vtkCarbonRenderWindow.h.

AGLPixelFormat vtkCarbonRenderWindow::fmt`[protected]`

| Definition at line 207 of file vtkCarbonRenderWindow.h.

AGLContext vtkCarbonRenderWindow::ContextId`[protected]`

| Definition at line 208 of file vtkCarbonRenderWindow.h.

AGLDrawable vtkCarbonRenderWindow::DeviceContext`[protected]`

| Definition at line 209 of file vtkCarbonRenderWindow.h.

WindowPtr vtkCarbonRenderWindow::WindowId`[protected]`

| Definition at line 210 of file vtkCarbonRenderWindow.h.

WindowPtr vtkCarbonRenderWindow::ParentId`[protected]`

| Definition at line 211 of file vtkCarbonRenderWindow.h.

int vtkCarbonRenderWindow::OwnWindow`[protected]`

| Definition at line 212 of file vtkCarbonRenderWindow.h.

int vtkCarbonRenderWindow::ScreenSize[2]`[protected]`

| Definition at line 213 of file vtkCarbonRenderWindow.h.

int vtkCarbonRenderWindow::ScreenMapped`[protected]`

| Definition at line 215 of file vtkCarbonRenderWindow.h.

int vtkCarbonRenderWindow::ScreenWindowSize[2]`[protected]`

| Definition at line 216 of file vtkCarbonRenderWindow.h.

void* vtkCarbonRenderWindow::ScreenDeviceContext`[protected]`

| Definition at line 217 of file vtkCarbonRenderWindow.h.

int vtkCarbonRenderWindow::ScreenDoubleBuffer`[protected]`

| Definition at line 218 of file vtkCarbonRenderWindow.h.

void* vtkCarbonRenderWindow::ScreenContextId`[protected]`

| Definition at line 219 of file vtkCarbonRenderWindow.h.

int vtkCarbonRenderWindow::CursorHidden`[protected]`

| Definition at line 221 of file vtkCarbonRenderWindow.h.

int vtkCarbonRenderWindow::ForceMakeCurrent`[protected]`

| Definition at line 222 of file vtkCarbonRenderWindow.h.

The documentation for this class was generated from the following file:

- Rendering/vtkCarbonRenderWindow.h